/*
	MyHelloView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_VIEW_H
#include "MyHelloView.h"
#endif

MyHelloView::MyHelloView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyHelloView::AttachedToWindow() 
{
// ***** NEW  Changed font and font size *****
    SetFont(be_plain_font); 
    SetFontSize(12);
}


void MyHelloView::Draw(BRect)
{
	BRect frame = Bounds(); 
	StrokeRect(frame);

    MovePenTo(BPoint(10, 15));
// ***** NEW  Changed the text that gets written to the view *****
    DrawString("This is a MyHelloView view");
}
