class SimpleWindow : public BWindow {

public:
             SimpleWindow(BRect frame); 
virtual	bool QuitRequested();
};


SimpleWindow::SimpleWindow(BRect frame)
    : BWindow(frame, "A Simple Window", B_TITLED_WINDOW, B_NOT_RESIZABLE)
{
}



bool SimpleWindow::QuitRequested()
{
    be_app->PostMessage(B_QUIT_REQUESTED);
    return(true);
}


class SimpleApplication : public BApplication {

public:
           SimpleApplication();
};


SimpleApplication::SimpleApplication()
    : BApplication("application/x-vnd.dps-simpleapp")
{
    SimpleWindow  *aWindow;
    BRect         aRect;

    aRect.Set(20, 30, 200, 60);
    aWindow = new SimpleWindow(aRect);
	
    aWindow->Show();
}


int  main()
{	
    SimpleApplication   myApplication;

    myApplication.Run();
	
    return(0);
}


