/*
	MyHelloView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_VIEW_H
#include "MyHelloView.h"
#endif

#ifndef MY_HELLO_WORLD_H
#include "MyHelloWorld.h"
#endif

#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif

MyHelloView::MyHelloView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyHelloView::AttachedToWindow() 
{
    SetFont(be_bold_font);
    SetFontSize(24);
}


void MyHelloView::Draw(BRect)
{
    MovePenTo(BPoint(10, 30));
    DrawString("Hello, My World!");
}



void MyHelloView::MouseDown(BPoint point)
{
	BWindow		*frontWindow;
	
	frontWindow = ((MyHelloApplication *)be_app)->GetFrontWindow();
	frontWindow->MoveBy(100.0, 100.0);
//	*** NEW  (see note in MyHelloWindow.cpp)
	((MyHelloWindow *)frontWindow)->BeepOnce();
}

