/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
    // ** new
   BRect    aRect;
// BRegion  *aRegion;

   fThreeRectRegion = new BRegion();
   
   aRect.Set(20.0, 20.0, 70.0, 70.0);
   fThreeRectRegion->Include(aRect);
   
   aRect.Set(50.0, 50.0, 150.0, 100.0);
   fThreeRectRegion->Include(aRect);

   aRect.Set(85.0, 85.0, 170.0, 130.0);
   fThreeRectRegion->Include(aRect);
    // ** new
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
 FillRegion(fThreeRectRegion);
}



// *** NEW 
void MyDrawView::MouseDown(BPoint point)
{
   if (fThreeRectRegion->Contains(point))
      beep();
}
// *** NEW 










